%define upstream_name    Test-File
%define upstream_version 1.993

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Test file attributes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Test::Builder) >= 1.1.6
BuildRequires: perl(Test::Builder::Tester) >= 1.40.0
BuildRequires: perl(Test::More) >= 1.0.0
BuildArch:  noarch

%description
This modules provides a collection of test utilities for file
attributes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Mon Jan 02 2023 tv <tv> 1.993.0-1.mga9
+ Revision: 1928884
- update to 1.993

* Mon Mar 21 2022 umeabot <umeabot> 1.992.0-2.mga9
+ Revision: 1816173
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 tv <tv> 1.992.0-1.mga9
+ Revision: 1777576
- update to 1.992

* Tue Jan 25 2022 tv <tv> 1.991.0-1.mga9
+ Revision: 1769707
- update to 1.991

* Sat Mar 06 2021 tv <tv> 1.448.0-1.mga9
+ Revision: 1700181
- update to 1.448

* Fri Feb 26 2021 tv <tv> 1.447.0-1.mga9
+ Revision: 1692080
- update to 1.447

* Thu Feb 25 2021 tv <tv> 1.446.0-1.mga9
+ Revision: 1690371
- update to 1.446

* Wed Feb 12 2020 umeabot <umeabot> 1.443.0-4.mga8
+ Revision: 1506390
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.443.0-3.mga7
+ Revision: 1286657
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.443.0-2.mga7
+ Revision: 1166760
- rebuild with fixed rpm for missing autodeps

* Thu Aug 17 2017 sander85 <sander85> 1.443.0-1.mga7
+ Revision: 1141355
- update to 1.443

* Sun Jun 19 2016 pterjan <pterjan> 1.440.0-3.mga6
+ Revision: 1034287
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.440.0-2.mga6
+ Revision: 968347
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 1.440.0-1.mga6
+ Revision: 852093
- update to 1.44

* Sun Jul 05 2015 sander85 <sander85> 1.430.0-1.mga6
+ Revision: 851473
- update to 1.43

* Wed Oct 15 2014 umeabot <umeabot> 1.360.0-3.mga5
+ Revision: 747683
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.360.0-2.mga5
+ Revision: 686438
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 1.360.0-1.mga5
+ Revision: 587300
- update to 1.36

* Mon Oct 21 2013 umeabot <umeabot> 1.350.0-2.mga4
+ Revision: 541118
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 sander85 <sander85> 1.350.0-1.mga4
+ Revision: 495140
- update to 1.35

* Sun Jan 13 2013 umeabot <umeabot> 1.340.0-2.mga3
+ Revision: 373512
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.340.0-1.mga3
+ Revision: 255523
- update to 1.34

* Thu Feb 23 2012 jquelin <jquelin> 1.330.0-1.mga2
+ Revision: 213197
- update to 1.33

* Wed Jan 25 2012 jquelin <jquelin> 1.310.0-1.mga2
+ Revision: 201057
- update to 1.31

* Fri Jan 21 2011 jquelin <jquelin> 1.290.0-1.mga1
+ Revision: 28796
- mageia rebuild
- imported package perl-Test-File

